#
#  Makefile for Sies2vesta set of tools
#
# Compiler and options:
#  FC     = ifort
   FC     = gfortran
#  FFLAGS = -mp1 -O3 -pc80 -prec_div -w
   FFLAGS = -O
#  FC=f95
#  FFLAGS=-g -C=all -C=undefined
  LFLAGS = $(FFLAGS)
#
  EXECS = xv2vesta vib2vesta
  .f.o      : $(FC) -c $(FFLAGS) $<

all: $(EXECS)
   xv_obj  = xv2vesta.o  inver3.o   opnout.o   read_xv.o 
 
   vib_obj = vib2vesta.o read_xv.o  makebox.o fillbox.o  inver3.o  hit.o \
	     displa.o  opnout.o   read_ev.o itochar.o  w_arrow.o w_movie.o

  xv2vesta   : $(xv_obj)
	$(FC) $(LFLAGS) -o $@ $(xv_obj)

  vib2vesta  : $(vib_obj)
	$(FC) $(LFLAGS) -o $@ $(vib_obj)

clean:
	@echo " Cleaning up"
	rm -f $(EXECS) *.o core

